<?php
/**
 * Prestashop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @category    Payment
 * @package     erede
 * @copyright   Copyright (c) 2013 Rede (http://www.userede.com.br)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

define('REDE_LIBRARY', TRUE);
require_once "loader".DIRECTORY_SEPARATOR."RedeAutoLoader.class.php";

class RedeLibrary {
	
	private static $path;
	private static $library;
	
	private function __construct() {
		self::$path 	 = (dirname(__FILE__));
		RedeAutoloader::init();
	}
	
	public static function init() {
		if (self::$library == null) {
			self::$library  = new RedeLibrary();
		}
		return self::$library;
	}

	public final static function getPath() {
		return self::$path;
	}

}
RedeLibrary::init();
?>
